Revoke a user invite by username

Requires the USER.MORTAL.UPDATE permission.

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
usernamestringRequiredformat: "(\S*@\S*\..*)"0-256 characters
The email of the user
statusenum or nullOptional
Indicates whether the user is active
Allowed values:
passwordstring or nullOptional
The password of the user. Should have a minimum of 8 characters, of which one is a number and one is a capital letter
activeboolean or nullOptionalDeprecated
Indicates whether the user is active

Response

OK
usernamestringformat: "(\S*@\S*\..*)"0-256 characters
The email of the user
object_typestring or nullRead-only
idstring or nullRead-only
The id of the user
entity_idstring or nullRead-only
The entity id of the entity that this user belongs to
created_atstring or nullRead-only
The date when this user was created
statusenum or null
Indicates whether the user is active
Allowed values:
passwordstring or null
The password of the user. Should have a minimum of 8 characters, of which one is a number and one is a capital letter
invite_expiredboolean or nullRead-only
Indicates whether the invite sent to the user is expired
activeboolean or nullDeprecated
Indicates whether the user is active
account_membershipslist of objects or nullRead-onlyDeprecated
The account memberships that this user has
team_membershipslist of objects or nullRead-onlyDeprecated
The team memberships that this user has

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error